%define        apiver %(echo %version | cut -d. -f 1).0
Name:          gst-plugins-ugly
Version:       1.18.4
Release:       1mamba
Summary:       A set of plug-ins for gstreamer considered to have ugly quality code
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gstreamer.freedesktop.org/modules/gst-plugins-ugly.html
Source:        http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.xz
Patch:         gst-plugins-ugly-0.10.10-featurem4.patch
Patch1:        gst-plugins-ugly-0.10.13-x264.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liba52dec-devel
BuildRequires: libcdio-devel
BuildRequires: libdvdread-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: liblame-devel
BuildRequires: libmad-devel
BuildRequires: libmpeg2-devel
BuildRequires: libopencore-amr-devel
BuildRequires: liborc-devel
BuildRequires: libsidplay-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtwolame-devel
BuildRequires: libx264-devel
## AUTOBUILDREQ-END
BuildRequires: libdvdnav-devel
#configure: *** Plug-ins without external dependencies that will be built:
#        asfdemux
#        dvdlpcmdec
#        dvdsub
#        iec958
#        mpegaudioparse
#        mpegstream
#        realmedia

#configure: *** Plug-ins without external dependencies that will NOT be built:
#        synaesthesia

#configure: *** Plug-ins with dependencies that will be built:
#        a52dec
#        amrnb
#        cdio
#        dvdreadsrc
#        id3tag
#        lame
#        mad
#        mpeg2dec
#       sid

#configure: *** Plug-ins with dependencies that will NOT be built:
#        dvdnav
#configure: *** checking feature: dvdnav library ***
#configure: *** for plug-ins: dvdnav ***
#configure: *** These plugins will not be built: dvdnav
#configure: dvdnavsrc not stable yet, not building

%description
GStreamer Ugly Plug-ins is a set of plug-ins that we consider to have ugly quality code, correct functionality, our preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library).

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GStreamer Ugly Plug-ins is a set of plug-ins that we consider to have good quality code, correct functionality, our preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library).
This package contains static libraries and header files need for development.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep

%setup -q
#%patch -p1
#%patch1 -p1

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}-%{apiver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}-%{apiver}.lang
%defattr(-,root,root)
%{_libdir}/gstreamer-%{apiver}/libgst*.so
%{_datadir}/gstreamer-%{apiver}/presets/GstX264Enc.prs
%{_datadir}/gstreamer-%{apiver}/presets/GstAmrnbEnc.prs
%doc AUTHORS COPYING

#%files devel
#%defattr(-,root,root)
#%{_libdir}/gstreamer-%{apiver}/libgst*.a
#%{_libdir}/gstreamer-%{apiver}/libgst*.la
#%doc ChangeLog NEWS README

#%files apidocs
#%defattr(-,root,root)
#%dir %{_datadir}/gtk-doc/html/gst-plugins-ugly-plugins-%{apiver}
#%{_datadir}/gtk-doc/html/gst-plugins-ugly-plugins-%{apiver}/*

%changelog
* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 1.18.4-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 1.18.3-1mamba
- automatic version update by autodist

* Mon Dec 07 2020 Automatic Build System <autodist@mambasoft.it> 1.18.2-1mamba
- automatic version update by autodist

* Tue Oct 27 2020 Automatic Build System <autodist@mambasoft.it> 1.18.1-1mamba
- automatic version update by autodist

* Thu Oct 01 2020 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Sat Dec 07 2019 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Tue Sep 24 2019 Automatic Build System <autodist@mambasoft.it> 1.16.1-1mamba
- automatic version update by autodist

* Thu May 02 2019 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Thu Oct 04 2018 Automatic Build System <autodist@mambasoft.it> 1.14.4-1mamba
- automatic version update by autodist

* Tue Sep 18 2018 Automatic Build System <autodist@mambasoft.it> 1.14.3-1mamba
- automatic version update by autodist

* Sun Jul 22 2018 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Tue Apr 17 2018 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 1.12.4-1mamba
- automatic version update by autodist

* Tue Sep 19 2017 Automatic Build System <autodist@mambasoft.it> 1.12.3-1mamba
- automatic version update by autodist

* Fri Jul 14 2017 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Wed Jun 21 2017 Automatic Build System <autodist@mambasoft.it> 1.12.1-1mamba
- automatic version update by autodist

* Fri Feb 24 2017 Automatic Build System <autodist@mambasoft.it> 1.10.4-1mamba
- automatic version update by autodist

* Thu Feb 02 2017 Automatic Build System <autodist@mambasoft.it> 1.10.3-1mamba
- automatic version update by autodist

* Tue Nov 29 2016 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Sat Nov 19 2016 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Thu Nov 03 2016 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Fri Aug 19 2016 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Mon Jun 13 2016 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Thu Apr 21 2016 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Sun Apr 17 2016 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Thu Jan 21 2016 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Tue Nov 03 2015 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Dec 21 2014 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Tue Apr 22 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Mon Feb 10 2014 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Tue Jan 07 2014 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Mon Nov 11 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Oct 31 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Fri Jun 14 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Fri Apr 26 2013 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Sun Mar 31 2013 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Mon Jan 14 2013 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Wed Dec 19 2012 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Sun Nov 25 2012 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 0.10.19-1mamba
- update to 0.10.19

* Thu Aug 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.18-2mamba
- rebuilt with libx264 116

* Sat Jun 25 2011 Automatic Build System <autodist@mambasoft.it> 0.10.18-1mamba
- automatic update by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 0.10.15-1mamba
- automatic update by autodist

* Mon Mar 15 2010 Automatic Build System <autodist@mambasoft.it> 0.10.14-2mamba
- automatic rebuild by autodist

* Wed Mar 10 2010 Automatic Build System <autodist@mambasoft.it> 0.10.14-1mamba
- automatic update by autodist

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 0.10.13-2mamba
- automatic rebuild by autodist

* Thu Nov 19 2009 Automatic Build System <autodist@mambasoft.it> 0.10.13-1mamba
- update to 0.10.13

* Thu Nov 19 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-6mamba
- automatic rebuild by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-5mamba
- automatic rebuild by autodist

* Wed Aug 19 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-4mamba
- automatic rebuild by autodist

* Wed Aug 12 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-3mamba
- automatic rebuild by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-2mamba
- automatic rebuild by autodist

* Mon Jul 06 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-1mamba
- automatic update by autodist

* Wed Jan 07 2009 gil <puntogil@libero.it> 0.10.10-2mamba
- new libcdio

* Thu Jan 01 2009 gil <puntogil@libero.it> 0.10.10-1mamba
- update to 0.10.10

* Mon Jul 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.8-1mamba
- package created by autospec
